### new kicks
^on ^set "a_* *" {@ $0 = [$1-]}

alias k kick $*
alias kick {
  //kick ${ischannel($0) ? [$0 $1 $cparse("$a_kick" ${[$2-]?[$2-]:getreason(~/.BitchX/BitchX.reasons)})] : [$C $0 $cparse("$a_kick" ${[$1-]?[$1-]:getreason(~/.BitchX/BitchX.reasons)})]}}
alias bk kb $*
alias kickban kb $*
alias bankick kb $*
alias kb {
  ban $0
  //kick ${ischannel($0) ? [$0 $1 $cparse("$a_kickban" ${[$2-]?[$2-]:getreason(~/.BitchX/BitchX.reasons)})] : [$C $0 $cparse("$a_kickban" ${[$1-]?[$1-]:getreason(~/.BitchX/BitchX.reasons)})]}}
  
on #-public 23 * {
  if (ischanop($N $1)&!isvoice($1 $0)&&(flag(kick_ops)|!flag(kick_ops)&!ischanop($0 $1))) {
    if (flag(a.rkick)&&[$2-]==_r.txt&&[$0]==_r.nk&&_r.time-time()<=3) {
      kick $1 $0 $a.rkickm} else {
      @_r.txt=[$2-]
      @_r.time=time()
      @_r.nk=[$0]}
    if (flag(a.pkick)&&(count(! $right(8 $2-))>=5||count(\? $right(8 $2-))>=5)) {
      kick $1 $0 $a.pkickm}
    if (flag(a.mckick)&&[$2-]=~[**]) {
      kick $1 $0 $a.mkickm}}}
alias boot {
  if ([$*]) {
    fe ($comchan($0)) curchan {
      if (ischanop($N $curchan)) {
        kick $curchan $0 ${[$1]?[$1-]:getreason($0)}}}} else {
    ausage boot}}
alias vkick {
  @_vkc=[$0]?[$0]:[$C]
  if (ischanop($N $_vkc)) {
    ^on ^ctcp_reply "% VERSION *" {
      fe ($_lame.versions) _lv {
        if ((!ischanop($0 $_vkc)&!flag(kick_ops))||flag(kick_ops)) {
          ${tolower($2-)=~_lv?[kick $_vkc $0 ar/vkick\: $2-]:}}}}
    ge commencing vkick for patterns [$_lame.versions]
    do ^ver $_vkc
    ^timer 15 ^on ^ctcp_reply -"% VERSION *"} else {
    ge you need to be a chanop on $_vkc to use /vkick}}
#sjk'97
